# $Id: BUILD.makefile 1788 2007-09-28 18:23:28Z jgrundy $
# Build list for DPLL solver.

# Copyright 2007 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License.  You
# may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.  See the License for the specific language governing
# permissions and limitations under the License.

FILES = $(addprefix $(SRCDIR)/solver/dpll/, \
	  dpll_literal dpll_core dpll \
         )
MY_MLIFILES = $(addsuffix .mli, $(FILES))
MY_MLFILES =  $(addsuffix .ml, $(FILES))
MLIFILES += $(MY_MLIFILES)
MLFILES += $(MY_MLFILES)
DOCFILES += $(MY_MLIFILES) 
